VideoTexture and video4linux in 2.5

in 2.49b video4linux was working by using v4l1compat. under 2.5 it seems not. is there any other way to bring webcams to work under 2.5.

thanx offtools

v4l2 works now.

After updating to blender 2.57b the VideoFFMPEG wasn’t available, so i checked the PKGBUILD and added WITH_CODEC_FFMPEG. It seems to be an archlinux issue.

I also changed the line 623 in source/gameengine/VideoTexture.cpp:

from
inputFormat = av_find_input_format(“video4linux”);
to
inputFormat = av_find_input_format(“video4linux2”);

My webcam is working now.

thread closed :slight_smile: